Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Philip Kaludercic <[email-masked]>
Date: Thu, 20 Apr 2023 14:51:22 +0000

(I haven't had the time to follow the thread in detail, so I might have
missed some context)

João Távora <[email-masked]> writes:

> On Thu, Apr 20, 2023 at 2:56 PM João Távora <[email-masked]> wrote:
>>
>> On Thu, Apr 20, 2023 at 2:39 PM Dmitry Gutov <[email-masked]> wrote:
>>
>> > The reasons for me to be less hopeful:
>> >
>> > - We seem to be unable to come to any agreement here. :-D
>> >
>> > Joao's approval for the above list would go a long way.
>>
>> First of all, thank you Dmitry for making such an extensive
>> and detailed summary of the simualtion.  It's really
>> impressive.
>>
>> What you say about a fixed package-update obviating the need
>> for eglot-update is totally true.  In fact I proposed a fixed
>> package-update much much earlier in this thread.  If you
>> manage to do that, then I'm more than happy to remove
>> eglot-update.
>
> Whoops, sorry, made a thinko.  package-update _doesn't_ really
> obviate the need for eglot-update, because it won't be callable
> in Emacs 26/27/28, and eglot-update will.
>
> ...unless package.el itself becomes a :core package and
> self-updates through ELPA, which I think is being proposed
> around here somewhere.  Could happen in master (and leave
> Emacs's 29 version untouched).

BTW, everything that this would require has been done so this is not a
far-off solution.

> So for the moment eglot-update is my best out.
>
> João